# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-status.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.gz

Name:          moblin-panel-status
Version:       0.1.21
Release:       6%{?dist}.1
Summary:       Moblin Panel for Social Network Status

Group:         User Interface/Desktops
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}
Patch0:        mps-fixchamplain.patch

BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: geoclue-devel
BuildRequires: gtk2-devel
BuildRequires: libchamplain-devel
BuildRequires: libmx-devel
BuildRequires: libsocialweb-devel
BuildRequires: mutter-moblin-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

%description
The Moblin mutter panel for managing of social networks and your current status.
This includes tweeting on twitter and updating of MySpace, FaceBook and you IM 
status.

%prep
%setup -q
%patch0 -p1 -b .fixchamplain

autoreconf
# run autogen.sh until we have a proper release, but don't run configure twice.
#NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/moblin-panel-status
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.status.service
%{_datadir}/%{name}
%{_datadir}/mutter-moblin/panels/moblin-panel-status.desktop

%changelog
* Tue Oct 05 2010 jkeating - 0.1.21-6.1
- Rebuilt for gcc bug 634757

* Fri Sep 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-6
- Bump build

* Wed Jul 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-5
- Patch to fix the build

* Tue Jul  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-4
- Rebuild against new libchamplain

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-3
- Rebuild against new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-2
- Add new dependencies

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-1
- New upstream 0.1.21 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-2
- Bump build

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release

* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-4
- Add new clutter-gtk dep

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-3
- Add new telepathy-glib dep

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.0.5-2
- Add patch for new Mission Control support

* Sun Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- Initial packaging
